Loading...
Searching...
No Matches
L4Re::Util::Br_manager_hooks Struct Reference

Predefined server-loop hooks for a server loop using the Br_manager. More...

`#include <br_manager>`

Inheritance diagram for L4Re::Util::Br_manager_hooks:
Collaboration diagram for L4Re::Util::Br_manager_hooks:

## Additional Inherited Members

Public Types inherited from L4::Ipc_svr::Server_iface
typedef L4::Type_info::Demand | Demand
| Data type expressing server-side demand for receive buffers.
Public Member Functions inherited from L4Re::Util::Br_manager
| Br_manager ()
| Make a buffer-register (BR) manager.
int | alloc_buffer_demand (Demand const &d) override
| Tells the server to allocate buffers for the given demand.
L4::Cap< void > | get_rcv_cap (int i) const override
| Get capability slot allocated to the given receive buffer.
int | realloc_rcv_cap (int i) override
| Allocate a new capability for the given receive buffer.
void | set_rcv_cap_flags (unsigned long flags)
| Set the receive flags for the buffers.
int | add_timeout (L4::Ipc_svr::Timeout *, l4_kernel_clock_t) override
| No timeouts handled by us.
int | remove_timeout (L4::Ipc_svr::Timeout *) override
| No timeouts handled by us.
void | setup_wait (l4_utcb_t *utcb, L4::Ipc_svr::Reply_mode)
| setup_wait() used the server loop (L4::Server)
Public Member Functions inherited from L4::Ipc_svr::Server_iface
| Server_iface ()
| Make a server interface.
template<typename T>
L4::Cap< T > | rcv_cap (int index) const
| Get given receive buffer as typed capability.
L4::Cap< void > | rcv_cap (int index) const
| Get receive cap with the given index as generic (void) type.
Protected Member Functions inherited from L4Re::Util::Br_manager
unsigned | first_free_br () const
| Used for assigning BRs for a timeout.

## Detailed Description

Predefined server-loop hooks for a server loop using the Br_manager.

This class can be used whenever a server loop including full management of receive buffer resources is needed.

Definition at line 165 of file br_manager.

The documentation for this struct was generated from the following file:

- l4/re/util/br_manager